Ticket #729 (closed defect: fixed)

Opened 4 years ago

Last modified 4 years ago

install of padre0.49 does not work on windows

Reported by: davidgang Owned by:
Priority: major Milestone:
Component: editor Version: 0.49
Keywords: Cc:

Description

C:\Documents and Settings\michaelga>perl -v

This is perl, v5.10.1 (*) built for MSWin32-x86-multi-thread

C:\Documents and Settings\michaelga>perl -MWx -e"printf(qq(Wx Version=($Wx::VERS
ION) %s unicode=(%s)\n), Wx::wxVERSION_STRING(), Wx::wxUNICODE())"
Wx Version=(0.91) wxWidgets 2.8.10 unicode=(1)

C:\strawberry\perl\bin\perl.exe "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib\lib', 'blib\arch')" t/*.t
t/00-compile.t ............. # Locale: Hebrew_Israel.1255
t/00-compile.t ............. 49/335
# Failed test 'STDERR of Padre/Service?.pm'
# at t/00-compile.t line 39.
# got: 'threads object version 1.73 does not match bootstrap parameter
1.74 at C:\strawberry\perl\lib/XSLoader.pm line 94.
# Compilation failed in require at C:\strawberry\cpan\build\Padre-0.49-uxL1iN\bl
ib\lib/Padre/Service.pm line 8.
# BEGIN failed--compilation aborted at C:\strawberry\cpan\build\Padre-0.49-uxL1i
N\blib\lib/Padre/Service.pm line 8.
# Compilation failed in require at -e line 1.
# '
# expected:

# Failed test 'STDOUT of Padre/Service?.pm'
# at t/00-compile.t line 42.
# got:
# expected: 'ok'
t/00-compile.t ............. 55/335
# Failed test 'STDERR of Padre/TaskManager?.pm'
# at t/00-compile.t line 39.
# got: 'threads object version 1.73 does not match bootstrap parameter
1.74 at C:\strawberry\perl\lib/XSLoader.pm line 94.
# Compilation failed in require at C:\strawberry\cpan\build\Padre-0.49-uxL1iN\bl
ib\lib/Padre/TaskManager.pm line 76.
# BEGIN failed--compilation aborted at C:\strawberry\cpan\build\Padre-0.49-uxL1i
N\blib\lib/Padre/TaskManager.pm line 76.
# Compilation failed in require at -e line 1.
# '
# expected:

# Failed test 'STDOUT of Padre/TaskManager?.pm'
# at t/00-compile.t line 42.
# got:
# expected: 'ok'
t/00-compile.t ............. 143/335
# Failed test 'STDERR of Padre/Task/DocBrowser?.pm'
# at t/00-compile.t line 39.
# got: 'threads object version 1.73 does not match bootstrap parameter
1.74 at C:\strawberry\perl\lib/XSLoader.pm line 94.
# Compilation failed in require at C:\strawberry\cpan\build\Padre-0.49-uxL1iN\bl
ib\lib/Padre/Task/DocBrowser.pm line 6.
# BEGIN failed--compilation aborted at C:\strawberry\cpan\build\Padre-0.49-uxL1i
N\blib\lib/Padre/Task/DocBrowser.pm line 6.
# Compilation failed in require at -e line 1.
# '
# expected:

# Failed test 'STDOUT of Padre/Task/DocBrowser?.pm'
# at t/00-compile.t line 42.
# got:
# expected: 'ok'
t/00-compile.t ............. 203/335
t/00-compile.t ............. 205/335 # Failed test 'STDERR of Padre/Wx/DocBrow?
ser.pm'
# at t/00-compile.t line 39.
# got: 'threads object version 1.73 does not match bootstrap parameter
1.74 at C:\strawberry\perl\lib/XSLoader.pm line 94.
# Compilation failed in require at C:\strawberry\cpan\build\Padre-0.49-uxL1iN\bl
ib\lib/Padre/Task/DocBrowser.pm line 6.
# BEGIN failed--compilation aborted at C:\strawberry\cpan\build\Padre-0.49-uxL1i
N\blib\lib/Padre/Task/DocBrowser.pm line 6.
# Compilation failed in require at C:\strawberry\cpan\build\Padre-0.49-uxL1iN\bl
ib\lib/Padre/Wx/DocBrowser.pm line 19.
# BEGIN failed--compilation aborted at C:\strawberry\cpan\build\Padre-0.49-uxL1i
N\blib\lib/Padre/Wx/DocBrowser.pm line 19.
# Compilation failed in require at -e line 1.
# '
# expected:

# Failed test 'STDOUT of Padre/Wx/DocBrowser?.pm'
# at t/00-compile.t line 42.
# got:
# expected: 'ok'
t/00-compile.t ............. 333/335 Bailout called. Further testing stopped:
Aborting test suite
FAILED--Further testing stopped: Aborting test suite
dmake.EXE: Error code 255, while making 'test_dynamic'

SZABGAB/Padre-0.49.tar.gz
C:\strawberry\c\bin\dmake.EXE test -- NOT OK

hint to see the cpan-testers results for installing this module, try:

reports SZABGAB/Padre-0.49.tar.gz

Running make install

make test had returned bad status, won't install without force

Failed during this command:

SZABGAB/Padre-0.49.tar.gz : make_test NO

Change History

comment:1 Changed 4 years ago by Sewi

Please try again using the new 0.50 or 0.51 versions and close the ticket if it's solved.

Thanks.

comment:2 Changed 4 years ago by davidgang

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.